<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_youtube_include.php
| Author: DrunkeN
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Display user field input
if ($profile_method == "input") {
	$user_youtube = isset($user_data['user_youtube']) ? $user_data['user_youtube'] : "";
	if ($this->isError()) { $user_youtube = isset($_POST['user_youtube']) ? stripinput($_POST['user_youtube']) : $user_youtube; }

	echo "<tr>\n";
	echo "<td class='tbl".$this->getErrorClass("user_youtube")."'><label for='user_youtube'>".$locale['uf_youtube'].$required."</label></td>\n";
	echo "<td class='tbl".$this->getErrorClass("user_youtube")."'>";
	echo "<input type='text' id='user_youtube' name='user_youtube' value='".$user_youtube."' maxlength='50' class='textbox' style='width:200px;' /><br />".$locale['uf_youtube_howto'];
	echo "</td>\n</tr>\n";

	if ($required) { $this->setRequiredJavaScript("user_youtube", $locale['uf_youtube_error']); }

// Display in profile
} elseif ($profile_method == "display") {
	if ($user_data['user_youtube']) {
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['uf_youtube']."</td>\n";
		echo "<td align='right' class='tbl1'>";
		echo "<a href='http://www.youtube.com/user/".$user_data['user_youtube']."' title='".$locale['uf_youtube_001'].$user_data['user_name'].$locale['uf_youtube_002']."' target='_blank'><img src='".INCLUDES."user_fields/images/youtube.png' alt='".$locale['uf_youtube']."' /></a>\n";
		echo "</td>\n</tr>\n";
	}

// Insert and update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
	// Get input data
	if (isset($_POST['user_youtube']) && ($_POST['user_youtube'] != "" || $this->_isNotRequired("user_youtube"))) {
		// Set update or insert user data
		$this->_setDBValue("user_youtube", stripinput($_POST['user_youtube']));
	} else {
		$this->_setError("user_youtube", $locale['uf_youtube_error'], true);
	}
}
?>